Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.builtin.requests
Class GetObjectPropertiesOfSource

    java.lang.Object
      org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequest<R>
          org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequestWithOneObjectAndBooleanValue<R,O>
              org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequestWithOneObjectAndNegativeAttribute<SetOfObjectPropertySynsets,OWLIndividual>
                  org.semanticweb.owlapi.owllink.builtin.requests.GetObjectPropertiesOfSource

All Implemented Interfaces:
  KBRequest<SetOfObjectPropertySynsets>, Request<SetOfObjectPropertySynsets>

    public class GetObjectPropertiesOfSource

extends AbstractKBRequestWithOneObjectAndNegativeAttribute<SetOfObjectPropertySynsets,OWLIndividual>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 23.10.2009

Field Summary

Fields inherited from class org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequestWithOneObjectAndBooleanValue
`bool, object`

Constructor Summary
`GetObjectPropertiesOfSource(IRI kb, OWLIndividual object)`
`GetObjectPropertiesOfSource(IRI kb, OWLIndividual object, boolean isNegative)`

Method Summary
`void` | `accept(RequestVisitor visitor)`
`OWLIndividual` | `getIndividual()`

Methods inherited from class org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequestWithOneObjectAndNegativeAttribute
`isNegative`

Methods inherited from class org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequest
`getKB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetObjectPropertiesOfSource

    public GetObjectPropertiesOfSource(IRI kb,
                                       OWLIndividual object)

### GetObjectPropertiesOfSource

    public GetObjectPropertiesOfSource(IRI kb,
                                       OWLIndividual object,
                                       boolean isNegative)

Method Detail

### getIndividual

    public OWLIndividual getIndividual()

### accept

    public void accept(RequestVisitor visitor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD